package com.xmomen.module.stock.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.stock.entity.Stock;
import com.xmomen.module.stock.entity.StockExample;
import org.apache.ibatis.annotations.Param;

// 定义一个StockMapper接口，继承MybatisMapper
public interface StockMapper extends MybatisMapper {
    // 根据条件统计Stock数量
    int countByExample(StockExample example);

    // 根据条件删除Stock
    int deleteByExample(StockExample example);

    // 插入Stock
    int insertSelective(Stock record);

    // 根据条件更新Stock
    int updateByExampleSelective(@Param("record") Stock record, @Param("example") StockExample example);
}